Qt Reference Documentation

# QTextIStream Class Reference

The QTextIStream class is a convenience class for input streams. More...

     #include <QTextIStream>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: QTextStream.

Note: All functions in this class are reentrant.

- List of all members, including inherited members

## Public Functions

| QTextIStream ( const QString * string )
| QTextIStream ( QByteArray * byteArray )
| QTextIStream ( FILE * file )

- 70 public functions inherited from QTextStream

## Detailed Description

The QTextIStream class is a convenience class for input streams.

Use QTextStream instead.

## Member Function Documentation

### QTextIStream::QTextIStream ( const QString * string )

Use QTextStream(&string, QIODevice::ReadOnly) instead.

### QTextIStream::QTextIStream ( QByteArray * byteArray )

Use QTextStream(&byteArray, QIODevice::ReadOnly) instead.

### QTextIStream::QTextIStream ( FILE * file )

Use QTextStream(file, QIODevice::ReadOnly) instead.